use v5.12.0;
use warnings;

{
    package Other;
    use Data::Dump qw/pp dd/;
    use PadWalker qw/peek_our/;
    our $our1 = "our1";
    my  $my1  = "my1";

    sub foo {
        our $our0 = "our0";
        my  $my0  = "my0";
        say $my1;
        say $our1;
        warn pp peek_our(0);
    }
}

package main;

use PadWalker qw/peek_sub closed_over/;
use Data::Dump qw/pp dd/;

my $block = \&Other::foo;
pp peek_sub( $block );
#pp peek_our( $block );
dd closed_over( $block );

Other::foo();

exit;



use B::Deparse;


#pp peek_sub(\&Other::foo);


sub bla{

    pp peek_sub( $block );
    say B::Deparse->new()->coderef2text($block)
}
;

bla();

use B::Concise;
bla();


    
